jasypt:
  encryptor:
    key: kospo2024
    bean: jasyptEncryptorAES
    property:
      prefix: ENC(
      suffix: )
server:
  port: 8010
  servlet:
    encoding:
      charset: UTF-8
      enabled: true
      force: true
    session:
      timeout: 600m
  push:
    url: 'http://192.168.219.107:3000'
  attach: '/attach/file'
  logo: '/attach/logo'
  manual: '/attach/manual'
  jetty:
    max-http-form-post-size: 100MB
  itsm: http://ict.kospo.co.kr
  scm: http://scm.kospo.co.kr:8010
rabbitmq:
  talk:
    exchange: talk.exchange
    queue: talk.queue
    routing: room.*
    route: room.
  user:
    exchange: user.exchange
    queue: user.queue
    routing: user.*
    route: user.
  file:
    exchange: file.exchange
    queue: file.queue
    routing: file.*
    route: file.
  hub:
    exchange: hub.exchange
    queue: hub.queue
    routing: hub.*
    route: hub.
  work:
    exchange: work.exchange
    queue: work.queue
    routing: work.*
    route: work.
  dead:
    exchange: dead.exchange
    queue: dead.queue
  connection:
    host: hmsn.ink
    username: ENC(wzLl97TCYFfD1dyWwBJfftESIaV+bxWMAgqHBBc5tbTs/fkyj6y4xMWSqBldkABH)
    password: ENC(eMyFn4FXhmxdbLf51ESbXP8YAC3FF5VpgzjfZVEuubIUrgfW3OgerHtjPHJ4Zs3B!)

spring:
  application:
    name: talk
  servlet:
    multipart:
      max-file-size: 100MB
      max-request-size: 100MB
  data:
    rest:
      detection-strategy: annotated
  devtools:
    livereload:
      enabled: true
    remote:
      restart:
        enabled: false
  jpa:
    show-sql: false
    hibernate:
      ddl-auto: validate
      naming:
        physical-strategy: org.hibernate.boot.model.naming.CamelCaseToUnderscoresNamingStrategy
    open-in-view: false
  rabbitmq:
    listener:
      simple:
        auto-startup: true
        acknowledge-mode: auto
        idle-event-interval: 30000
    connection-timeout: 5000
  #        prefetch: 10
#        concurrency: 0
#        max-concurrency: 2000
#        batch-size: 100
  mvc:
    pathmatch:
      matching-strategy: ant_path_matcher
  datasource:
    hikari:
      username: ENC(wzLl97TCYFfD1dyWwBJfftESIaV+bxWMAgqHBBc5tbTs/fkyj6y4xMWSqBldkABH)
      password: ENC(eMyFn4FXhmxdbLf51ESbXP8YAC3FF5VpgzjfZVEuubIUrgfW3OgerHtjPHJ4Zs3B)
      connection-timeout: 20000
      maximum-pool-size: 30
      data-source-properties:
        cachePrepStmts: true
        prepStmtCacheSize: 200
        prepStmtCacheSqlLimit: 2048
        useServerPrepStmts: true
    url: ENC(catRfSF24XfU87Vlv4lKeYlOxKIVMB9WjFh6ISCwH6MQTnRT1N/XynarSAYimCjEkUb3fCR2J89czvCT35x8V5wpYzIDwr9+bdkQCoVH8Kw=)
    driver-class-name: net.sf.log4jdbc.sql.jdbcapi.DriverSpy
  graphql:
    websocket:
      connection-init-timeout: 420M

springdoc:
  packages-to-scan: com.kospo.talk
  api-docs:
    path: /api-docs
    groups:
      enabled: true
  swagger-ui:
    path: /swagger-ui.html
    enabled: true
    groups-order: ASC
    tags-sorter: alpha
    operations-sorter: alpha
    display-request-duration: true
    doc-expansion: none
  cache:
    disabled: true
  model-and-view-allowed: true